这是来也[数据服务](https://test-cloud.laiye.com/dataservice)对应的SDK。

# 一个例子

# API Document | 接口说明

## Initialize a client ｜ 初始化客户端
```python
from dataservice import DataService, AuthorizationType

client = DataService(
    "https://cloud.laiye.com/dataservice",
    AuthorizationType.BuiltInUser,
    username="this is username",
    password="this is password",
)

print(client.get_schema("schema_name"))
```

## Metadata Management | 元信息维护
### get_schema
根据数据表名称获取单个数据表信息。
`get_schema(schema_api_name, expansion_level=2)`
* schema_api_name: 数据表名称
* expansion_level: 数据展开层级，默认为2

### create_schema
新增单个数据表。
`create_schema(schema_api_name, display_name, description='')`
* schema_api_name: 数据表名称
* display_name: 数据表显示名称
* description: 描述信息，默认为空字符串

### delete_schema
根据数据表的名称删除数据表。
`delete_schema(schema_api_name, expansion_level=2)`
* schema_api_name: 数据表名称
* expansion_level: 数据展开层级，默认为2

### add_fields
往指定的数据表中添加多个列。
`add_fields(self, schema_api_name, fields, expansion_level=2)`
* schema_api_name: 数据表名称
* fields: 字段数据，是一个字典数组
```python
[
  {
    "apiName": "",
    "displayName": "",
    "description": "",
    "dataMaxLength": 0,
    "dataMaxValue": 0,
    "dataMinLength": 0,
    "dataMinValue": 0,
    "defaultValue": "",
    "fieldType": "", # 字段类型,可用值:BOOLEAN,DATE,DATETIME,DOUBLE,FILE,HTML,IMAGE,JSON,LONG,MARKDOWN,RELATIONSHIP,TEXT,TIME
    "orderNum": 0,
    "pointLength": 0,
    "referenceDisplayFieldApiName": "",
    "referenceJoinFieldApiName": "",
    "referenceSchemaApiName": "",
    "allowNull": false,
  }
]
```
* expansion_level: 数据展开层级，默认为2


### add_index
往数据表中添加单个索引。
`add_index(schema_api_name, index, expansion_level=2)`
* schema_api_name: 数据表名称
* index: 要增加的索引描述
```python
{
  "apiName": "",
  "description": "",
  "displayName": "",
  "fieldApiNames": ['field1', 'field2'],
  "type": "UNIQUE" # 索引类型,可用值:GENERAL,UNIQUE
}
```
* expansion_level: 数据展开层级，默认为2

### get_index
获取数据表的单个索引信息。
`get_index(schema_api_name, index_api_name, expansion_level=2)`
* schema_api_name: 数据表名称
* index_api_name: 索引名称
* expansion_level: 数据展开层级，默认为2

## Data Management | 数据管理
### add_records
往数据表中增加记录
`add_records(schema_api_name, records, update_or_insert=False, response_with_data=False)`
* schema_api_name: 数据表名称
* records: 数据记录，是一个字典数组
```json
[{"name": "Tom", "age":  20}, {"name": "Jack", "length":  180}]
```
* update_or_insert: 如果数据存在是否将其替换，默认为 False。这个能力需要在数据表上先创建唯一索引。
* response_with_data: 是否将操作的数据返回，默认为False。

### get_records
根据记录ID分页获取记录集合
`get_records(schema_api_name, start_id=0, limit=1000, order='asc')`
* schema_api_name: 数据表名称
* start_id: 开始记录ID，默认值0。
* limit: 返回的最多记录数，默认值1000。
* order: 排序方式，默认为 'asc'， 也可以选择 'desc'

