from unittest import TestCase
from dataservice import DataService, AuthorizationType
from tests import local_data


class BuiltInLoginTest(TestCase):

    def setUp(self) -> None:
        self.ds = DataService(
            local_data.get_base_url(),
            local_data.get_auth_type(),
            username=local_data.get_username(),
            password=local_data.get_password(),
        )

    def test_not_existed_schema(self):
        data, _, status, error_code, = self.ds.get_schema("VPzI2GIJUEYB0aqWVf0iy85LHebntn50")
        self.assertEqual(status, 404)
        self.assertEqual(error_code, 500)
